* go-torrent-helper

This is a helper program to add and remove torrents from a transmission-daemon instance.

** Installation
#+BEGIN_SRC shell
go install codeberg.org/hyperreal/go-torrent-helper@latest
#+END_SRC

** Usage
#+BEGIN_SRC shell
export TX_RPC_URL=localhost
export TX_RPC_USER="cat"
export TX_RPC_PASS="meow"
export TX_RPC_PORT="9091"
export TX_RPC_USE_HTTPS="True"
#+END_SRC

*** Add torrents
#+BEGIN_SRC shell
go-torrent-helper add -distro fedora -relver 50
go-torrent-helper add -distro nixos -relver *
go-torrent-helper add -distro almalinux -relver 12.4
#+END_SRC

*** Remove torrents
#+BEGIN_SRC shell
go-torrent-helper remove -distro almalinux -relver 12.4
go-torrent-helper remove -distro nixos -relver *
go-torrent-helper remove -distro fedora -relver 50
#+END_SRC